Author Topic: SBAC and 14.04  (Read 4323 times)

Marker

  • Jr. Member
  • **
  • Posts: 19
    • View Profile
SBAC and 14.04
« on: March 13, 2014, 11:47:55 AM »
I'm not sure if this is the place to post this; let me know if I should post elsewhere.

Anyway, as UberMix based on Ubuntu 14.04 is developed have you had any experience with using the SBAC (Smarter Balanced Assessment Consortium) lock-down browser with it? (We found the version 4.0 version of the SBAC browser to work fine. When the 4.3 version came out we installed it and it seemed to work fine, but we haven't had much opportunity to test it thoroughly yet).

We use UberMix on all of the student computers at our middle school and would like to use the 14.04 version when it's ready, but will need to be sure that the SBAC Assessment works with it.

I'll be sure to post our results once we're able to begin testing.

That browser is available at:   http://sbac.portal.airast.org/browsers/

Thanks,

/\/\ ark

jnetman1

  • Administrator
  • Hero Member
  • *****
  • Posts: 286
    • View Profile
Re: SBAC and 14.04
« Reply #1 on: May 04, 2014, 11:05:59 AM »
It works, but is presently only a 32 bit application, so you'll need to install a few 32bit libraries to get it going. Open a terminal and 'sudo apt-get install libgtk2.0-0:i386 libstdc++6:i386 libasound2:i386 libdbus-glib-1-2:i386 libxt6:i386 libncurses5:i386 sox:i386' . All should be well after that.

Marker

  • Jr. Member
  • **
  • Posts: 19
    • View Profile
Re: SBAC and 14.04
« Reply #2 on: May 06, 2014, 06:50:34 PM »
Thanks! We'll give it a shot.

Marker

  • Jr. Member
  • **
  • Posts: 19
    • View Profile
Re: SBAC and 14.04
« Reply #3 on: May 25, 2014, 02:23:18 PM »
> presently only a 32 bit application, so you'll need to install a few 32bit libraries to get it going.
> Open a terminal and 'sudo apt-get install libgtk2.0-0:i386 libstdc++6:i386 libasound2:i386
> libdbus-glib-1-2:i386 libxt6:i386 libncurses5:i386 sox:i386'

I finally got a chance to give this a try. However, when I double-click on the install-icon.sh file I get an error message instead of a RUN command to click on. The error is: 'The file "/home/administrator/Desktop/SBACSecureBrowser6.3/install-icon.sh" could not be opened.'

I tried changing it to open with "Run Software", but nothing happened except for the "throbber" spinning for a few seconds.

The permissions are Owner(Me) Read-only  Group(administrator) Read-only   Others Read-only. I presume this is fine for the installer, but would like to know if I'm wrong.

(Note that I'm trying this on an install of Ubuntu 14.04, not in UberMix, but I hope to use it in the version14 UM when it comes out and want to be prepared).

Anyone have ideas?

Thanks,

/\/\ ark

jnetman1

  • Administrator
  • Hero Member
  • *****
  • Posts: 286
    • View Profile
Re: SBAC and 14.04
« Reply #4 on: May 25, 2014, 02:46:53 PM »
Use the pre-built package at http://ubermix.org/files.html

pyperdown

  • Full Member
  • ***
  • Posts: 65
    • View Profile
Re: SBAC and 14.04
« Reply #5 on: January 08, 2015, 12:05:52 PM »
FWIW, this works in our mixed 1.04/2.11 environment

this is the update.sh script fragment.

if ! apt-cache policy sbac | grep -v "6.3-1"
then
        echo "20" ; sleep 1
        echo "Installing new SBAC browser" ; sleep 1

        if grep -i "ubermix 2" /etc/lsb-release
        then
                echo "Installing 32 bit libraries"
                apt-get install libgtk2.0-0:i386 libstdc++6:i386 libasound2:i386 libdbus-glib-1-2:i386 libxt6:i386 libncurses5:i386 sox:i386 -y
        fi

        wget -N $WEBSERVER/sbac_6.3-1_i386.deb
        dpkg -i sbac_6.3-1_i386.deb
fi

jnetman1

  • Administrator
  • Hero Member
  • *****
  • Posts: 286
    • View Profile
Re: SBAC and 14.04
« Reply #6 on: January 24, 2015, 12:52:54 PM »
Install for 6.5 on ubermix 2 is now available http://blog.ubermix.org/2015/01/caaspp-secure-browser-for-test.html

Marker

  • Jr. Member
  • **
  • Posts: 19
    • View Profile
Re: SBAC and 14.04
« Reply #7 on: January 26, 2015, 10:51:44 AM »
We're in Vermont and use the SBAC test. I see that this site refers to the browser as "for state testing in California". Is it the same browser that will be used in other states? Will you be making a package with new 6.5 browser for .deb as you did with 6.3.1?

Thanks,
/\/\ ark

jnetman1

  • Administrator
  • Hero Member
  • *****
  • Posts: 286
    • View Profile
Re: SBAC and 14.04
« Reply #8 on: January 26, 2015, 10:54:38 AM »
California has a specific browser for CA - although it looks like it's pretty much the same. I can build a package of the generic one as well - give me a few days to work on that.

Marker

  • Jr. Member
  • **
  • Posts: 19
    • View Profile
Re: SBAC and 14.04
« Reply #9 on: January 27, 2015, 10:46:43 AM »
Thanks! I was at an SBAC training meeting this morning and they assured me that they did not expect to have any updates to the Secure Browser -- that it would be a once-a-year only release. We'll see, but it seems that the package would be good for this year.

Will the package include the required libraries: Festival and SoX
as listed at: http://vt.portal.airast.org/secure-browsers/  ?

Or maybe they're already in the UberMix install - I see that Verdana TrueType font is. Looking at the Software Center it seems like maybe Festival is but sox is not.

Thanks,

/\/\ ark

jnetman1

  • Administrator
  • Hero Member
  • *****
  • Posts: 286
    • View Profile
Re: SBAC and 14.04
« Reply #10 on: January 27, 2015, 11:13:05 AM »
The package automatically installs all of the dependencies, so it's dead simple.

pyperdown

  • Full Member
  • ***
  • Posts: 65
    • View Profile
Re: SBAC and 14.04
« Reply #11 on: January 27, 2015, 04:03:33 PM »
Is this going to be available in the 12.04 repo as well?

jnetman1

  • Administrator
  • Hero Member
  • *****
  • Posts: 286
    • View Profile
Re: SBAC and 14.04
« Reply #12 on: January 31, 2015, 12:37:45 PM »
Uploading to 12.04 repo now. @marker - I don't see a non-CA 6.5 download anywhere. Do you have a link?

Marker

  • Jr. Member
  • **
  • Posts: 19
    • View Profile
Re: SBAC and 14.04
« Reply #13 on: February 06, 2015, 09:50:19 AM »
sorry for the delay

Here's the site for the Vermont secure browsers:

http://vt.portal.airast.org/secure-browsers/

Does that help?